Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cnrg.itx.signal.SignalEvent
Class InviteSignalEvent

    java.lang.Object
      |
      +--cnrg.itx.signal.SignalEvent.SignalEvent
            |
            +--cnrg.itx.signal.SignalEvent.InviteSignalEvent

public class InviteSignalEvent
extends SignalEvent

This class represents an event generated when an invitation to start a call is received.

Constructor Summary
`InviteSignalEvent(InvitePacket ip)` Default Constructor

Method Summary
`void` | `accept()` Applications call this method to indicate that they accept the invitation.
`void` | `accept(Connection c)` Applications call this method to indicate that they accept the invitation.
`void` | `busy()` Applications call this method to indicate that they are busy at present.
`Connection` | `getConnection()`
`PropertiesCollection` | `getPropertiesCollection()`
`void` | `reject(java.lang.String reason)` Applications call this method to indicate that they reject the invitation.
`void` | `setPropertiesCollection(PropertiesCollection pc)` Sets the PropertiesCollection for the callee application so that the properties can be sent to the caller application
`boolean` | `wasAccepted()`

Methods inherited from class cnrg.itx.signal.SignalEvent.SignalEvent
`getDescription, getDesktopSignaling, getInvitePacket, getSenderID, getSenderLoc, getSignalConnection, setDesktopSignaling, setSignalConnection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InviteSignalEvent

    public InviteSignalEvent(InvitePacket ip)

  Default Constructor
  Parameters:
    `ip` - is the InvitePacket received from the peer

Method Detail

### accept

    public void accept(Connection c)

  Applications call this method to indicate that they accept the invitation. The application also provides a connection that the peer should use.
  Parameters:
    `c` - is a Connection initialized by the application.
  Returns:
    void

### accept

    public void accept()

  Applications call this method to indicate that they accept the invitation.
  Parameters:
    `None` -
  Returns:
    void

### reject

    public void reject(java.lang.String reason)

  Applications call this method to indicate that they reject the invitation.
  Parameters:
    `reason` - is the reason the application rejected the call.
  Returns:
    void

### busy

    public void busy()

  Applications call this method to indicate that they are busy at present.
  Parameters:
    `None` -
  Returns:
    void

### setPropertiesCollection

    public void setPropertiesCollection(PropertiesCollection pc)

  Sets the PropertiesCollection for the callee application so that the properties can be sent to the caller application
  Parameters:
    `pc` - is the PropertiesCollection of the callee application

### getPropertiesCollection

    public PropertiesCollection getPropertiesCollection()

  Returns:
    the PropertiesCollection of the peer

### getConnection

    public Connection getConnection()

  Returns:
    the Connection object provided by the peer

### wasAccepted

    public boolean wasAccepted()

  Returns:
    TRUE if the call was accepted, FALSE otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD